Bug 1464556 - [abrt] PackageKit: pk_backend_refresh_cache_thread(): packagekitd killed by signal 11
[abrt] PackageKit: pk_backend_refresh_cache_thread(): packagekitd killed by s...
Status: CLOSED DUPLICATE of bug 1460825
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:90da674552b0497a9f49eb88fb7...
: Reopened
Depends On:
Blocks: F27BetaBlocker
  Show dependency treegraph
 
Reported: 2017-06-23 14:22 EDT by George R. Goffe
Modified: 2017-08-21 13:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-21 13:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.64 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: cgroup (184 bytes, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: core_backtrace (9.37 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: dso_list (8.32 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: environ (190 bytes, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: maps (38.64 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: open_fds (2.54 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details
File: var_log_messages (346 bytes, text/plain)
2017-06-23 14:22 EDT, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2017-06-23 14:22:07 EDT
Description of problem:
I had just booted this system and started KDE. I had not begun any other activities.

Version-Release number of selected component:
PackageKit-1.1.6-1.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: pk_backend_refresh_cache_thread
executable:     /usr/libexec/packagekitd
journald_cursor: s=2ab925dae9724b598af3d4115aa3a57a;i=1e014f8;b=e4cf91c532d24262811e1b20c6995945;m=249943e4;t=552a2074e8747;x=d1937629788baea8
kernel:         4.12.0-0.rc5.git2.1.fc27.x86_64
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 pk_backend_refresh_cache_thread at pk-backend-dnf.c:1654
 #1 pk_backend_job_thread_setup at pk-backend-job.c:813
 #2 g_thread_proxy at gthread.c:784

This is a private, duplicate bug report of bug 1114207. The report has been created because Bugzilla cannot grant access to a comment for a specific group.
Comment 1 George R. Goffe 2017-06-23 14:22:12 EDT
Created attachment 1291230 [details]
File: backtrace
Comment 2 George R. Goffe 2017-06-23 14:22:13 EDT
Created attachment 1291231 [details]
File: cgroup
Comment 3 George R. Goffe 2017-06-23 14:22:14 EDT
Created attachment 1291232 [details]
File: core_backtrace
Comment 4 George R. Goffe 2017-06-23 14:22:15 EDT
Created attachment 1291233 [details]
File: cpuinfo
Comment 5 George R. Goffe 2017-06-23 14:22:16 EDT
Created attachment 1291234 [details]
File: dso_list
Comment 6 George R. Goffe 2017-06-23 14:22:17 EDT
Created attachment 1291235 [details]
File: environ
Comment 7 George R. Goffe 2017-06-23 14:22:18 EDT
Created attachment 1291236 [details]
File: exploitable
Comment 8 George R. Goffe 2017-06-23 14:22:19 EDT
Created attachment 1291237 [details]
File: limits
Comment 9 George R. Goffe 2017-06-23 14:22:21 EDT
Created attachment 1291238 [details]
File: maps
Comment 10 George R. Goffe 2017-06-23 14:22:22 EDT
Created attachment 1291239 [details]
File: open_fds
Comment 11 George R. Goffe 2017-06-23 14:22:23 EDT
Created attachment 1291240 [details]
File: proc_pid_status
Comment 12 George R. Goffe 2017-06-23 14:22:24 EDT
Created attachment 1291241 [details]
File: var_log_messages
Comment 13 George R. Goffe 2017-06-23 14:22:25 EDT

*** This bug has been marked as a duplicate of bug 1114207 ***
Comment 14 Adam Williamson 2017-07-12 19:25:39 EDT
I highly doubt this is actually a dupe of a 3 year old bug which hasn't shown up in any of the interim releases, but is now reliably happening to every Rawhide KDE system, AFAICT.
Comment 15 Adam Williamson 2017-07-12 19:27:01 EDT
I don't think there's actually anything private in any of the bug data, here, and it's an important bug which should be publicly viewable.
Comment 16 Adam Williamson 2017-07-12 19:28:55 EDT
Proposing as a Beta blocker per criterion "The installed system must be able to download and install updates with the default graphical package manager in all release-blocking desktops." This seems violated for KDE: checking for updates on a system where updates are definitely available results in a PackageKit crash and KDE claiming the system is up to date.
Comment 17 George R. Goffe 2017-07-12 22:48:54 EDT
Adam,

Thanks for your support to this problem... It's appreciated.

Do I have to mark this as publicly viewable or can you do that?

George...
Comment 18 Adam Williamson 2017-07-13 11:49:32 EDT
I did it already.
Comment 19 George R. Goffe 2017-07-13 16:33:51 EDT
Thank you.
Comment 20 Jan Kurik 2017-08-15 02:22:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 21 Kalev Lember 2017-08-21 12:17:35 EDT
Should be a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=1460825 and already fixed in PackageKit-1.1.6-2.fc26
Comment 22 Adam Williamson 2017-08-21 13:09:10 EDT
Indeed, looking at the most recent time this test ran in openQA, it did fail, but only due to what looks like a screenshot mismatch; the logs show no trace of the crash happening.

*** This bug has been marked as a duplicate of bug 1460825 ***

Note You need to log in before you can comment on or make changes to this bug.